Get Parameters#

Description#

Returns a list of all parameters associated with the workspace. By default, these parameters are ordered by their names in ascending order.

GET /api/v1/parameter

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

cursor

query

string

false

A paging cursor; if included the limit is ignored

limit

query

integer(int32)

false

The number of parameters to return, must be between 1 and 1000, will default

offset

query

integer(int64)

false

The item to start with on the page, must be greater than or equal to 0, will default to 0

scope

query

string

false

Comma-separated list of scopes to filter parameters by (e.g., ‘global,system’). If not provided, defaults to global.

Detailed descriptions#

limit: The number of parameters to return, must be between 1 and 1000, will default to 1000

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/parameter', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": [
    {
      "choices": [
        "undefined"
      ],
      "created": "string",
      "databaseId": "string",
      "description": "string",
      "id": "string",
      "label": "string",
      "listType": "string",
      "mode": "string",
      "name": "string",
      "overridable": "boolean",
      "scope": "string",
      "selectListId": "string",
      "type": "string",
      "updated": "string",
      "userId": "string",
      "value": "undefined",
      "version": "integer"
    }
  ],
  "code": "integer",
  "cursor": "string"
}